Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute.standard
Class MediaSizeName

    java.lang.Object
      |
      +--javax.print.attribute.EnumSyntax
            |
            +--javax.print.attribute.standard.Media
                  |
                  +--javax.print.attribute.standard.MediaSizeName

All Implemented Interfaces:
  Attribute, Cloneable, DocAttribute, PrintJobAttribute, PrintRequestAttribute, Serializable

public class MediaSizeName
extends Media

Class MediaSizeName is a subclass of Media.

This attribute can be used instead of specifying MediaName or MediaTray.

Class MediaSizeName currently declares a few standard media name values.

IPP Compatibility: MediaSizeName is a representation class for values of the IPP "media" attribute which names media sizes. The names of the media sizes correspond to those in the IPP 1.1 RFC RFC 2911

See Also:
  Serialized Form

Field Summary
`static MediaSizeName` | `A` A size .
`static MediaSizeName` | `B` B size .
`static MediaSizeName` | `C` C size .
`static MediaSizeName` | `D` D size .
`static MediaSizeName` | `E` E size .
`static MediaSizeName` | `EXECUTIVE` executive size .
`static MediaSizeName` | `FOLIO` folio size .
`static MediaSizeName` | `INVOICE` invoice size .
`static MediaSizeName` | `ISO_A0` A0 size.
`static MediaSizeName` | `ISO_A1` A1 size.
`static MediaSizeName` | `ISO_A10` A10 size.
`static MediaSizeName` | `ISO_A2` A2 size.
`static MediaSizeName` | `ISO_A3` A3 size.
`static MediaSizeName` | `ISO_A4` A4 size.
`static MediaSizeName` | `ISO_A5` A5 size.
`static MediaSizeName` | `ISO_A6` A6 size.
`static MediaSizeName` | `ISO_A7` A7 size.
`static MediaSizeName` | `ISO_A8` A8 size.
`static MediaSizeName` | `ISO_A9` A9 size.
`static MediaSizeName` | `ISO_B0` ISO B0 size.
`static MediaSizeName` | `ISO_B1` ISO B1 size.
`static MediaSizeName` | `ISO_B10` ISO B10 size.
`static MediaSizeName` | `ISO_B2` ISO B2 size.
`static MediaSizeName` | `ISO_B3` ISO B3 size.
`static MediaSizeName` | `ISO_B4` ISO B4 size.
`static MediaSizeName` | `ISO_B5` ISO B5 size.
`static MediaSizeName` | `ISO_B6` ISO B6 size.
`static MediaSizeName` | `ISO_B7` ISO B7 size.
`static MediaSizeName` | `ISO_B8` ISO B8 size.
`static MediaSizeName` | `ISO_B9` ISO B9 size.
`static MediaSizeName` | `ISO_C0` ISO C0 size.
`static MediaSizeName` | `ISO_C1` ISO C1 size.
`static MediaSizeName` | `ISO_C2` ISO C2 size.
`static MediaSizeName` | `ISO_C3` ISO C3 size.
`static MediaSizeName` | `ISO_C4` ISO C4 size.
`static MediaSizeName` | `ISO_C5` ISO C5 size.
`static MediaSizeName` | `ISO_C6` letter size.
`static MediaSizeName` | `ISO_DESIGNATED_LONG` ISO designated long size .
`static MediaSizeName` | `ITALY_ENVELOPE` Italy envelope size .
`static MediaSizeName` | `JAPANESE_DOUBLE_POSTCARD` Japanese Double Postcard size.
`static MediaSizeName` | `JAPANESE_POSTCARD` Japanese Postcard size.
`static MediaSizeName` | `JIS_B0` JIS B0 size.
`static MediaSizeName` | `JIS_B1` JIS B1 size.
`static MediaSizeName` | `JIS_B10` JIS B10 size.
`static MediaSizeName` | `JIS_B2` JIS B2 size.
`static MediaSizeName` | `JIS_B3` JIS B3 size.
`static MediaSizeName` | `JIS_B4` JIS B4 size.
`static MediaSizeName` | `JIS_B5` JIS B5 size.
`static MediaSizeName` | `JIS_B6` JIS B6 size.
`static MediaSizeName` | `JIS_B7` JIS B7 size.
`static MediaSizeName` | `JIS_B8` JIS B8 size.
`static MediaSizeName` | `JIS_B9` JIS B9 size.
`static MediaSizeName` | `LEDGER` ledger size .
`static MediaSizeName` | `MONARCH_ENVELOPE` monarch envelope size .
`static MediaSizeName` | `NA_10X13_ENVELOPE` 10x13 North American envelope size .
`static MediaSizeName` | `NA_10X14_ENVELOPE` 10x14North American envelope size .
`static MediaSizeName` | `NA_10X15_ENVELOPE` 10x15 North American envelope size.
`static MediaSizeName` | `NA_5X7` 5x7 North American paper.
`static MediaSizeName` | `NA_6X9_ENVELOPE` 6x9 North American envelope size.
`static MediaSizeName` | `NA_7X9_ENVELOPE` 7x9 North American envelope size.
`static MediaSizeName` | `NA_8X10` 8x10 North American paper.
`static MediaSizeName` | `NA_9X11_ENVELOPE` 9x11 North American envelope size.
`static MediaSizeName` | `NA_9X12_ENVELOPE` 9x12 North American envelope size.
`static MediaSizeName` | `NA_LEGAL` legal size .
`static MediaSizeName` | `NA_LETTER` letter size.
`static MediaSizeName` | `NA_NUMBER_10_ENVELOPE` number 10 envelope size .
`static MediaSizeName` | `NA_NUMBER_11_ENVELOPE` number 11 envelope size .
`static MediaSizeName` | `NA_NUMBER_12_ENVELOPE` number 12 envelope size .
`static MediaSizeName` | `NA_NUMBER_14_ENVELOPE` number 14 envelope size .
`static MediaSizeName` | `NA_NUMBER_9_ENVELOPE` number 9 envelope size .
`static MediaSizeName` | `PERSONAL_ENVELOPE` personal envelope size .
`static MediaSizeName` | `QUARTO` quarto size .
`static MediaSizeName` | `TABLOID` tabloid size .

Constructor Summary
`protected` | `MediaSizeName(int value)` Construct a new media size enumeration value with the given integer value.

Method Summary
`protected EnumSyntax[]` | `getEnumValueTable()` Returns the enumeration value table for class MediaSizeName.
`protected String[]` | `getStringTable()` Returns the string table for class MediaSizeName.

Methods inherited from class javax.print.attribute.standard.Media
`equals, getCategory, getName`

Methods inherited from class javax.print.attribute.EnumSyntax
`clone, getOffset, getValue, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ISO_A0

    public static final MediaSizeName ISO_A0

  A0 size.

### ISO_A1

    public static final MediaSizeName ISO_A1

  A1 size.

### ISO_A2

    public static final MediaSizeName ISO_A2

  A2 size.

### ISO_A3

    public static final MediaSizeName ISO_A3

  A3 size.

### ISO_A4

    public static final MediaSizeName ISO_A4

  A4 size.

### ISO_A5

    public static final MediaSizeName ISO_A5

  A5 size.

### ISO_A6

    public static final MediaSizeName ISO_A6

  A6 size.

### ISO_A7

    public static final MediaSizeName ISO_A7

  A7 size.

### ISO_A8

    public static final MediaSizeName ISO_A8

  A8 size.

### ISO_A9

    public static final MediaSizeName ISO_A9

  A9 size.

### ISO_A10

    public static final MediaSizeName ISO_A10

  A10 size.

### ISO_B0

    public static final MediaSizeName ISO_B0

  ISO B0 size.

### ISO_B1

    public static final MediaSizeName ISO_B1

  ISO B1 size.

### ISO_B2

    public static final MediaSizeName ISO_B2

  ISO B2 size.

### ISO_B3

    public static final MediaSizeName ISO_B3

  ISO B3 size.

### ISO_B4

    public static final MediaSizeName ISO_B4

  ISO B4 size.

### ISO_B5

    public static final MediaSizeName ISO_B5

  ISO B5 size.

### ISO_B6

    public static final MediaSizeName ISO_B6

  ISO B6 size.

### ISO_B7

    public static final MediaSizeName ISO_B7

  ISO B7 size.

### ISO_B8

    public static final MediaSizeName ISO_B8

  ISO B8 size.

### ISO_B9

    public static final MediaSizeName ISO_B9

  ISO B9 size.

### ISO_B10

    public static final MediaSizeName ISO_B10

  ISO B10 size.

### JIS_B0

    public static final MediaSizeName JIS_B0

  JIS B0 size.

### JIS_B1

    public static final MediaSizeName JIS_B1

  JIS B1 size.

### JIS_B2

    public static final MediaSizeName JIS_B2

  JIS B2 size.

### JIS_B3

    public static final MediaSizeName JIS_B3

  JIS B3 size.

### JIS_B4

    public static final MediaSizeName JIS_B4

  JIS B4 size.

### JIS_B5

    public static final MediaSizeName JIS_B5

  JIS B5 size.

### JIS_B6

    public static final MediaSizeName JIS_B6

  JIS B6 size.

### JIS_B7

    public static final MediaSizeName JIS_B7

  JIS B7 size.

### JIS_B8

    public static final MediaSizeName JIS_B8

  JIS B8 size.

### JIS_B9

    public static final MediaSizeName JIS_B9

  JIS B9 size.

### JIS_B10

    public static final MediaSizeName JIS_B10

  JIS B10 size.

### ISO_C0

    public static final MediaSizeName ISO_C0

  ISO C0 size.

### ISO_C1

    public static final MediaSizeName ISO_C1

  ISO C1 size.

### ISO_C2

    public static final MediaSizeName ISO_C2

  ISO C2 size.

### ISO_C3

    public static final MediaSizeName ISO_C3

  ISO C3 size.

### ISO_C4

    public static final MediaSizeName ISO_C4

  ISO C4 size.

### ISO_C5

    public static final MediaSizeName ISO_C5

  ISO C5 size.

### ISO_C6

    public static final MediaSizeName ISO_C6

  letter size.

### NA_LETTER

    public static final MediaSizeName NA_LETTER

  letter size.

### NA_LEGAL

    public static final MediaSizeName NA_LEGAL

  legal size .

### EXECUTIVE

    public static final MediaSizeName EXECUTIVE

  executive size .

### LEDGER

    public static final MediaSizeName LEDGER

  ledger size .

### TABLOID

    public static final MediaSizeName TABLOID

  tabloid size .

### INVOICE

    public static final MediaSizeName INVOICE

  invoice size .

### FOLIO

    public static final MediaSizeName FOLIO

  folio size .

### QUARTO

    public static final MediaSizeName QUARTO

  quarto size .

### JAPANESE_POSTCARD

    public static final MediaSizeName JAPANESE_POSTCARD

  Japanese Postcard size.

### JAPANESE_DOUBLE_POSTCARD

    public static final MediaSizeName JAPANESE_DOUBLE_POSTCARD

  Japanese Double Postcard size.

### A

    public static final MediaSizeName A

  A size .

### B

    public static final MediaSizeName B

  B size .

### C

    public static final MediaSizeName C

  C size .

### D

    public static final MediaSizeName D

  D size .

### E

    public static final MediaSizeName E

  E size .

### ISO_DESIGNATED_LONG

    public static final MediaSizeName ISO_DESIGNATED_LONG

  ISO designated long size .

### ITALY_ENVELOPE

    public static final MediaSizeName ITALY_ENVELOPE

  Italy envelope size .

### MONARCH_ENVELOPE

    public static final MediaSizeName MONARCH_ENVELOPE

  monarch envelope size .

### PERSONAL_ENVELOPE

    public static final MediaSizeName PERSONAL_ENVELOPE

  personal envelope size .

### NA_NUMBER_9_ENVELOPE

    public static final MediaSizeName NA_NUMBER_9_ENVELOPE

  number 9 envelope size .

### NA_NUMBER_10_ENVELOPE

    public static final MediaSizeName NA_NUMBER_10_ENVELOPE

  number 10 envelope size .

### NA_NUMBER_11_ENVELOPE

    public static final MediaSizeName NA_NUMBER_11_ENVELOPE

  number 11 envelope size .

### NA_NUMBER_12_ENVELOPE

    public static final MediaSizeName NA_NUMBER_12_ENVELOPE

  number 12 envelope size .

### NA_NUMBER_14_ENVELOPE

    public static final MediaSizeName NA_NUMBER_14_ENVELOPE

  number 14 envelope size .

### NA_6X9_ENVELOPE

    public static final MediaSizeName NA_6X9_ENVELOPE

  6x9 North American envelope size.

### NA_7X9_ENVELOPE

    public static final MediaSizeName NA_7X9_ENVELOPE

  7x9 North American envelope size.

### NA_9X11_ENVELOPE

    public static final MediaSizeName NA_9X11_ENVELOPE

  9x11 North American envelope size.

### NA_9X12_ENVELOPE

    public static final MediaSizeName NA_9X12_ENVELOPE

  9x12 North American envelope size.

### NA_10X13_ENVELOPE

    public static final MediaSizeName NA_10X13_ENVELOPE

  10x13 North American envelope size .

### NA_10X14_ENVELOPE

    public static final MediaSizeName NA_10X14_ENVELOPE

  10x14North American envelope size .

### NA_10X15_ENVELOPE

    public static final MediaSizeName NA_10X15_ENVELOPE

  10x15 North American envelope size.

### NA_5X7

    public static final MediaSizeName NA_5X7

  5x7 North American paper.

### NA_8X10

    public static final MediaSizeName NA_8X10

  8x10 North American paper.

Constructor Detail

### MediaSizeName

    protected MediaSizeName(int value)

  Construct a new media size enumeration value with the given integer value.

Parameters:
  `value` - Integer value.

Method Detail

### getStringTable

    protected String[] getStringTable()

  Returns the string table for class MediaSizeName.

  Overrides:
    `getStringTable` in class `EnumSyntax`
  Returns:
    the string table

### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()

  Returns the enumeration value table for class MediaSizeName.

  Overrides:
    `getEnumValueTable` in class `EnumSyntax`
  Returns:
    the value table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.